/*#######################################################################################

AVR Embedded Webservice Project

File        : clock.h

Description : Global clock counter (header).

Copyright notice:

Copyright (C) 2004 - Ulrich Radig (originally written for AVR Small Webserver).
few changes made by
Andreas Dittrich, dittrich@informatik.hu-berlin.de
Chris Helbing, helbing@informatik.hu-berlin.de
Jon Kowal, kowal@informatik.hu-berlin.de
Stefan Wanja, wanja@informatik.hu-berlin.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#######################################################################################*/


#ifndef _CLOCK_H
#define _CLOCK_H

//Use the Clock then set USE_CLOCK 1
#define USE_CLOCK	1

extern void Start_Clock (void);
extern unsigned char ss;
extern unsigned char mm;
extern unsigned char hh;

extern unsigned long time;
extern unsigned char time_short;

#endif //_ULRICH_CLOCK_H
