/*#######################################################################################

AVR Embedded Webservice Project

File        : wsdl.h

Description : Implementation of the WSDL protocol (header).

Copyright notice:

Copyright (C) 2005 -
Andreas Dittrich, dittrich@informatik.hu-berlin.de
Chris Helbing, helbing@informatik.hu-berlin.de
Jon Kowal, kowal@informatik.hu-berlin.de
Stefan Wanja, wanja@informatik.hu-berlin.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#######################################################################################*/


#ifndef _WSDL_H
 #define _WSDL_H

#define GET_MAXABSPATHLEN  	1
#define GET_MAXQUERYLEN		7

#define WSDL_TYPE_BOOLEAN	0
#define WSDL_TYPE_INT		1
#define WSDL_TYPE_CHAR		2
#define WSDL_TYPE_STRING	3
#define WSDL_TYPE_FLOAT		4
#define WSDL_TYPE_DOUBLE	5

//fuer post oder get, erstmal nur get
extern int WSDLHandler(char* abs_path, char* query);
//extern int parseGETRequest(char* abs_path, char* query, char[], char[],char );
#endif
