/*#######################################################################################

AVR Embedded Webservice Project

File        : debug.c

Description : Implements external debug-functions and specifies several levels.

Copyright notice:

Copyright (C) 2005 -
Andreas Dittrich, dittrich@informatik.hu-berlin.de
Chris Helbing, helbing@informatik.hu-berlin.de
Jon Kowal, kowal@informatik.hu-berlin.de
Stefan Wanja, wanja@informatik.hu-berlin.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#######################################################################################*/


#include "main.h"
#include "debug.h"

/* Function to print debugging output to the serial console
*/
//############################################################################
void debug_print(unsigned char *debug_msg, unsigned char *debug_line, unsigned char debug_length){
//############################################################################
	
	unsigned char debug_counter;
	
	printf("%s ", debug_msg);
	for(debug_counter = 0; debug_counter < debug_length	; debug_counter++){
		printf("%02x", debug_line[debug_counter]);
	}
	print("\n");
}