/*#######################################################################################

AVR Embedded Webservice Project

File        : led.h

Description : Functions to debug with a few LEDs (header).

Copyright notice:

Copyright (C) 2005 -
Andreas Dittrich, dittrich@informatik.hu-berlin.de
Chris Helbing, helbing@informatik.hu-berlin.de
Jon Kowal, kowal@informatik.hu-berlin.de
Stefan Wanja, wanja@informatik.hu-berlin.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#######################################################################################*/


#ifndef _LED_H_
#define _LED_H_

#define LEDS PORTB

#define LED_BLANK 0
#define LED0      1
#define LED1      2
#define LED2      4
#define LED3      8
#define LED4      16
#define LED5      32
#define LED6      64
#define LED7      128


int led(unsigned char l);
void ledon(unsigned char l);
void ledoff(unsigned char l);
int ledstat(unsigned char l);

#endif //_LED_H_
